# $Id: coriander.spec,v 1.8 2010/02/27 09:50:48 timn Exp $

#define cvs_snapshot .cvs20080116
%define cvs_build %{?cvs_snapshot:1}%{!?cvs_snapshot:0}
%define real_version 2.0.1

Summary: Control a 1394 digital camera interactively
Name: coriander
Version: 2.0.1
Release: 15%{?cvs_snapshot}%{?dist}
License: GPLv2+
Group: Applications/Multimedia
URL: http://damien.douxchamps.net/ieee1394/coriander/
Source: http://download.sourceforge.net/coriander/coriander-%{real_version}.tar.gz

BuildRequires: libgnomeui-devel, gettext, libraw1394-devel, libdc1394-devel >= 2.0.0
BuildRequires: desktop-file-utils, SDL-devel
BuildRequires: libXv-devel
BuildRequires: ftplib-devel
%if %{cvs_build}
BuildRequires: libtool
%endif
ExcludeArch: s390 s390x

%description
Coriander is a GUI that let you control your 1394 digital video camera
interactively. It features SDL display, FTP image posting, file saving,
and video streaming. It is for IIDC cameras, not for consumer grade DV
cameras.

%prep
%setup -q -n coriander-%{real_version}

%{__cat} <<EOF >%{name}.desktop
[Desktop Entry]
Name=Coriander
Comment=Control a 1394 digital video camera
Exec=coriander
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;X-AudioVideoImport;X-Streamer;
Icon=%{_datadir}/pixmaps/%{name}-icon.png
EOF

%build
#%if %%{cvs_build}
# required due to missing files
./autogen.sh
#%%endif
%configure
%{__make} %{?_smp_mflags}

%install
%make_install

# copy icon to a standard location
cp %{buildroot}%{_datadir}/pixmaps/%{name}/%{name}-icon.png %{buildroot}%{_datadir}/pixmaps

%{__install} -d -m0755 %{buildroot}%{_datadir}/applications/
desktop-file-install --dir %{buildroot}%{_datadir}/applications  \
                     %{name}.desktop

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/coriander
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/%{name}-*.png
%{_datadir}/pixmaps/%{name}-icon.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Nov  2 2015 Tom Callaway <spot@fedoraproject.org> - 2.0.1-10
- rebuild for new ftplib

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Wed Jul 16 2014 Richard Hughes <richard@hughsie.com> - 2.0.1-7
- Install the application icon in a standard location to fix display in
  gnome-software and Apper.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 22 2013 Rahul Sundaram <sundaram@fedoraproject.org> - 2.0.1-4
- remove vendor tag from desktop file. https://fedorahosted.org/fpc/ticket/247
- clean up spec to follow current guidelines

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jan 04 2012 Tim Niemueller <tim@niemueller.de> - 2.0.1-1
- Update to latest stable release 2.0.1
- Rebuild for libdc1394 2.1.4

* Tue Dec 20 2011 Dan Horák <dan[at]danny.cz> - 2.0.0-4
- no FireWire on s390(x)

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 2.0.0-3
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Feb 25 2010 Tim Niemueller <tim@niemueller.de> - 2.0.0-1
- Update to latest stable release
- Added patch for implicit DSO linking

* Sun Sep 27 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 2.0.0-0.12.rc6
- Update desktop file according to F-12 FedoraStudio feature

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.11.rc6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-0.10.rc6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Aug 28 2008 Michael Schwendt <mschwendt@fedoraproject.org> - 2.0.0-0.9.rc6
- Include directory /usr/share/pixmaps/coriander

* Tue Jul 22 2008 Jarod Wilson <jwilson@redhat.com> 2.0.0-0.8.rc6
- Bump and rebuild for libraw1394 v2.0.0

* Sat Feb 09 2008 Tim Niemueller <tim@niemueller.de> - 2.0.0-0.7.rc6
- Rebuild with GCC 4.3 for rawhide (F9)

* Sat Jan 19 2008 Tim Niemueller <tim@niemueller.de> - 2.0.0-0.6.rc6
- Long source URL

* Sat Jan 19 2008 Tim Niemueller <tim@niemueller.de> - 2.0.0-0.5.rc6
- Upgrade to 2.0.0-rc6
- Use autotooly only if build is a CVS build
- Do not require libdc1394 >= 2.0.0, automatically handled correctly
- Fixed desktop file glitches
- Add Icon entry for desktop file
- Added ftplib BR to support FTP upload
- Removed Application category to make desktop-file-validate happy

* Wed Jan 16 2008 Tim Niemueller <tim@niemueller.de> - 2.0.0-rc5.4.cvs20080116
- Fixed several rpmlint errors

* Wed Jan 16 2008 Tim Niemueller <tim@niemueller.de> - 2.0.0-rc5.3.cvs20080116
- Updated to release 2.0.0-rc5.cvs20080116

* Mon Nov 26 2007 Tim Niemueller <tim@niemueller.de> - 2.0.0-rc5.2.cvs20071126
- Updated to release 2.0.0-rc5.cvs20071126

* Wed Aug 16 2006 Tim Niemueller <tim@niemueller.de> - 2.0.0-rc1.1
- Updated to release 2.0.0-rc1

* Mon May 08 2006 Dries Verachtert <dries@ulyssis.org> - 2.0.0-0.pre6
- Updated to release 2.0.0pre6.

* Sun Mar 26 2006 Dries Verachtert <dries@ulyssis.org> - 2.0.0-0.pre5
- Updated to release 2.0.0pre5.

* Mon Aug 29 2005 Dries Verachtert <dries@ulyssis.org> - 2.0.0-0.pre3
- Initial package.
